org.apache.fop.afp.modca

## Class InvokeMediumMap

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractNamedAFPObject
        - - org.apache.fop.afp.modca.InvokeMediumMap

- All Implemented Interfaces:
    Completable, Streamable

      public class InvokeMediumMap
      extends AbstractNamedAFPObject
      implements Completable

  The Invoke Medium Map structured field identifies the Medium Map that is to become active for the document. An Invoke Medium Map structured field affects the document's current environment. The Medium Map's effect on current environment parameter values lasts until a new Medium Map is invoked.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `name`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `triplets`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokeMediumMap(String name)` Constructor for the Invoke Medium Map

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComplete()` Returns true if this object is complete
    `void` | `setComplete(boolean complete)` Sets whether or not this object is complete or not
    `void` | `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `copySF, getName, getNameBytes, getNameLength, setName, toString`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

      `writeContent, writeEnd, writeStart`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvokeMediumMap

          public InvokeMediumMap(String name)

      Constructor for the Invoke Medium Map
      Parameters:
        `name` - the name of the medium map

  - ### Method Detail

    - #### writeToStream

          public void writeToStream(OutputStream os)
                             throws IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Specified by:
        `writeToStream` in interface `Streamable`
      Overrides:
        `writeToStream` in class `AbstractStructuredObject`
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `IOException` - an I/O exception of some sort has occurred.

    - #### setComplete

          public void setComplete(boolean complete)

      Description copied from interface: `Completable`
      Sets whether or not this object is complete or not
      Specified by:
        `setComplete` in interface `Completable`
      Parameters:
        `complete` - true if this object is complete

    - #### isComplete

          public boolean isComplete()

      Description copied from interface: `Completable`
      Returns true if this object is complete
      Specified by:
        `isComplete` in interface `Completable`
      Returns:
        true if this object is complete

Copyright © 2023 Apache Software Foundation. All rights reserved.